package com.inkasso.factoring.org.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.org.entity.OrgDO;
import com.inkasso.factoring.org.model.dto.OrgDTO;

import java.util.List;

/**
* @author liutao
* @date  2023-09-07
*/
  public interface OrgService extends IService<OrgDO> {

  /**
   * 获取省  和  直辖市
   * @return
   */
  List<OrgDTO> getProvince();

  /**
   * 根据省获取市
   * @param parentId
   * @return
   */
  List<OrgDTO> getCityByParentId(Long parentId);


  List<OrgDTO> getAll();
}

